Update one customer manual adjustment

patch

/fscmRestApi/resources/11.13.18.05/channelCustomerManualAdjustments/{ManualAdjustmentId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : Notes
Type: array
Title: Notes
The note objects resource is used to view the note objects.
Show Source
Nested Schema : Products
Type: array
Title: Products
The items specified in the adjustment are stamped on the adjustment accrual.
Show Source
Nested Schema : channelCustomerManualAdjustments-attachments-item-patch-request
Type: object
Show Source
Nested Schema : channelCustomerManualAdjustments-DFF-item-patch-request
Type: object
Show Source
Nested Schema : channelCustomerManualAdjustments-notes-item-patch-request
Type: object
Show Source
Nested Schema : channelCustomerManualAdjustments-products-item-patch-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : channelCustomerManualAdjustments-item-response
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : Notes
Type: array
Title: Notes
The note objects resource is used to view the note objects.
Show Source
Nested Schema : Products
Type: array
Title: Products
The items specified in the adjustment are stamped on the adjustment accrual.
Show Source
Nested Schema : channelCustomerManualAdjustments-attachments-item-response
Type: object
Show Source
Nested Schema : channelCustomerManualAdjustments-DFF-item-response
Type: object
Show Source
Nested Schema : channelCustomerManualAdjustments-notes-item-response
Type: object
Show Source
Nested Schema : channelCustomerManualAdjustments-products-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to update one customer manual adjustment.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/ManualAdjustmentId"

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

 {
    "AdjustmentDate": "2024-08-29",
    "products": [
        {
            "ManualAdjustmentLineId":300100637717149,
            "ManualAdjustmentId":300100637717148,
            "Item": "AS92689",
            "AdjustmentAmount": 120.45
        }
    ]
}

Example Response Body

The following example includes the contents of the response body in JSON format:
{
    "ManualAdjustmentId": 300100637717148,
    "ManualAdjustmentNumber": "SB-08302024",
    "BusinessUnit": "Vision Operations",
    "BusinessUnitId": 204,
    "PromotionCode": "SBREB0830",
    "ProgramId": 300100637716916,
    "ProgramName": "2024 Fall rebate",
    "ProgramType": "Customer Promotion Type",
    "ProgramTypeId": 300100580716126,
    "BeneficiaryType": null,
    "BeneficiaryTypeCode": null,
    "BeneficiaryValue": null,
    "BeneficiaryValueCode": null,
    "BeneficiaryCustomer": null,
    "BeneficiaryAccountNumber": null,
    "BeneficiaryAddress": null,
    "TransactionBillToCustomer": "Spruce Street Foods",
    "TransactionBillToAccountNumber": "226332",
    "TransactionBillToAccountId": 300100581001730,
    "TransactionBillToSite": "213572",
    "TransactionBillToSiteUseId": 300100581001734,
    "TransactionBillToSiteAddress": "217 Hanover Street,BOSTON, MA 02113",
    "TransactionInvoiceNumber": "IN20240511B",
    "TransactionInvoiceDate": "2024-08-12",
    "AdjustmentAmount": 100.00,
    "AdjustmentCurrency": "US Dollar",
    "AdjustmentCurrencyCode": "USD",
    "AdjustmentDate": "2024-08-29",
    "RequestedAccountingDate": null,
    "PredefinedAdjustmentTypeCode": "DECREASE_EARNED",
    "AdjustmentType": "Decrease Earned",
    "AdjustmentTypeId": 300100614678328,
    "AdjustmentReason": "Pricing Error",
    "AdjustmentReasonId": 300100614678331,
    "CommentsForApprovers": "Adjustment due to pricing error.",
    "AdjustByProductFlag": true,
    "Owner": "Parker Kline",
    "OwnerPersonId": 300100583360588,
    "OwnerPersonNumber": "955160008195114",
    "Status": "Draft",
    "SubmittedDate": null,
    "ApprovedDate": null,
    "CreatedBy": "PGM_MGR1",
    "CreationDate": "2024-08-31T02:49:32+00:00",
    "LastUpdateDate": "2024-08-31T03:55:59+00:00",
    "LastUpdatedBy": "PGM_MGR1",
    "AttachmentEntityName": "ADJUSTMENT",
    "SubmittedBy": null,
    "StatusCode": "ADJ_DRAFT",
    "RejectedDate": null,
    "products": [
        {
            "ManualAdjustmentLineId": 300100637717149,
            "ManualAdjustmentId": 300100637717148,
            "LineNumber": 1,
            "ItemId": 151,
            "AdjustmentAmount": 120.45000,
            "CreatedBy": "PGM_MGR1",
            "CreationDate": "2024-08-31T02:49:32.371+00:00",
            "LastUpdateDate": "2024-08-31T03:55:59.239+00:00",
            "LastUpdatedBy": "PGM_MGR1",
            "Item": "AS92689",
            "ItemDescription": "Envoy Standard Laptop",
            "links": [
                {
                    "rel": "self",
                    "href": "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/300100637717148/child/products/300100637717149",
                    "name": "products",
                    "kind": "item",
                    "properties": {
                        "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
                    }
                },
                {
                    "rel": "canonical",
                    "href": "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/300100637717148/child/products/300100637717149",
                    "name": "products",
                    "kind": "item"
                },
                {
                    "rel": "parent",
                    "href": "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/300100637717148",
                    "name": "channelCustomerManualAdjustments",
                    "kind": "item"
                }
            ]
        }
    ],
    "links": [
        {
            "rel": "self",
            "href": "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/300100637717148",
            "name": "channelCustomerManualAdjustments",
            "kind": "item",
            "properties": {
                "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000378"
            }
        },
        {
            "rel": "canonical",
            "href": "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/300100637717148",
            "name": "channelCustomerManualAdjustments",
            "kind": "item"
        },
        {
            "rel": "child",
            "href": "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/300100637717148/child/DFF",
            "name": "DFF",
            "kind": "collection"
        },
        {
            "rel": "child",
            "href": "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/300100637717148/child/attachments",
            "name": "attachments",
            "kind": "collection"
        },
        {
            "rel": "child",
            "href": "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/300100637717148/child/notes",
            "name": "notes",
            "kind": "collection"
        },
        {
            "rel": "child",
            "href": "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/300100637717148/child/products",
            "name": "products",
            "kind": "collection"
        },
        {
            "rel": "action",
            "href": "https://servername/fscmRestApi/resources/version/channelCustomerManualAdjustments/300100637717148/action/submit",
            "name": "submit",
            "kind": "other"
        }
    ]
}
Back to Top